local addonName, L = ...;

-- This function will be called through "CheckUnit(self)" inside the SideFrame.lua, because we need to update every time a unit of one side changes:
local function UpdateTrackedPlayer(self)
	
	table.wipe(self.trackedUnits);
	
	for i = 1, 3 do
		local unitFrame = _G["ALSpec_"..self.side.."Frame"..i];
		if ( unitFrame.unit ) then
			self.trackedUnits[unitFrame.unit] = true;
		end
	end
	
end

function ArenaLiveSpectator:InitialiseCooldownTracker(side)

	local tracker = _G["ALSpec_CooldownTracker"..side];
	tracker.side = side;
	ArenaLiveCore:AddFrame(tracker, "CooldownTracker", addonName, UpdateTrackedPlayer, "ALSpec_CooldownTrackerIconTemplate");

end
